Can't restore iPod touch 8GB 3.0 back to normal

Discussion in 'iPod touch Firmware 3.0' started by Hellsent, Jun 8, 2009.

  1. Hellsent

    Hellsent New Member

    Joined:
    Jun 8, 2009
    Messages:
    3
    Likes Received:
    0
    Device:
    iPod touch
    Ok, hi guys, I managed to get the 3.0 beta and was using on the latest iTunes beta...But I want to restore my iPod now as all of my apps don't open anymore...

    So I tried restoring on the beta iTunes and it didn't work, so I uninstalled iTunes and installed 8.2, then tried a restore again but it still did not work..

    I am slightly peed off as I can't access any of my apps apart from the default ones...Not really sure why...

    I have also tried on a different computer...Sadly I don't have a Mac to try it on

    Please Register or Log in to view images



    The iPod just does not show up in iTunes. Please help me out

    Please Register or Log in to view images

    Thanks in Advance
  2. steve19137

    steve19137 New Member

    Joined:
    Feb 8, 2009
    Messages:
    706
    Likes Received:
    0
    you cant restore a beta. especially if you got it from a *******, so now you have to wait for the official release of 3.0, then get that.
  3. Hellsent

    Hellsent New Member

    Joined:
    Jun 8, 2009
    Messages:
    3
    Likes Received:
    0
    Device:
    iPod touch
    Thanks for the reply I was gettign worried, at least it's coming out soon, but I have managed to get the apps to work, just had to re install them

    Please Register or Log in to view images

    Thanks for the help.
  4. Kidchop

    Kidchop Member

    Joined:
    Dec 13, 2007
    Messages:
    443
    Likes Received:
    0
    Device:
    iPhone 4 (Black)
    You can easily. Use Youtube. Firstly i have a MAC but i could only get this to work on Windows XP. Restore to 2.2.1 and you get that error. Open Quickpwn on XP and tell you to go into DFU mode. Once you do this it is fixed

    Edit: If itunes will not accept 2.2.1 firmware to restore. Use Pwnage tool on MAC to make a custom build of 2.2.1 and try it again and should work

Share This Page